#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Math
%define		pnam	GMP
Summary:	Math::GMP Perl module - high speed arbitrary size integer math
Summary(pl.UTF-8):	Moduł Perla Math::GMP - szybka arytmetyka liczb całkowitych o dowolnym rozmiarze
Name:		perl-Math-GMP
Version:	2.20
Release:	5
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	817f68db8aa05ca82d0da6a6a5f02f03
URL:		http://search.cpan.org/dist/Math-GMP/
BuildRequires:	gmp-devel
BuildRequires:	perl-Alien-GMP
BuildRequires:	perl-Devel-CheckLib
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::GMP gives you access to the fast GMP library for fast big
integer math.

%description -l pl.UTF-8
Math::GMP daje dostęp do szybkiej biblioteki GMP dla szybkich
obliczeń na dużych liczbach całkowitych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%ifarch %{x8664} alpha ia64 ppc64 s390x sparc64
# original reference values expect 32-bit long
%{__perl} -pi -e 's/^\+9999999999(9*):[0-9]+$/+9999999999$1:9999999999$1/' t/gmppm.t
%endif

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README.md
%{perl_vendorarch}/Math/GMP.pm
%dir %{perl_vendorarch}/auto/Math/GMP
%attr(755,root,root) %{perl_vendorarch}/auto/Math/GMP/GMP.so
%{perl_vendorarch}/auto/Math/GMP/autosplit.ix
%{_mandir}/man3/*
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-GMP.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 1c5c89f
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 1a60e67
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 328e869
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 0efca2c
- rebuild with perl 5.34.0

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 77cddff
- up to 2.20

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 18660ba
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 98e50b5
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> f0ff53b
- updated to 2.17 (note: update do 2.19 requires packaging new modules)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 11330cb
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0161df8
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> dc2abf4
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 59bf403
- release 10 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> dc7ee50
- x32 rebuild
- release 9 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> fea31db
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4cae53b
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f32d94c
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7848a03
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 033ad1d
- rel 5

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> bafe8c0
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b5402d
- release 3

